## org.apache.tools.ant.taskdefs.optional.sitraka.bytecode
Interface ClassPathLoader.FileLoader

Enclosing interface:
  ClassPathLoader

public static interface ClassPathLoader.FileLoader

the interface to implement to look up for specific resources

Method Summary
`ClassFile[]` `getClasses()` return the set of classes found in the file
`java.io.File` `getFile()` the file url that is looked for .class files

Method Detail

### getFile

    public java.io.File getFile()

  the file url that is looked for .class files

### getClasses

    public ClassFile[] getClasses()
                           throws java.io.IOException

  return the set of classes found in the file

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.